Subject: [Rfced-future] Issue 12: Consensus check on baseline text

From: Eliot Lear <[email-masked]>
Date: Fri, 18 Dec 2020 10:42:12 +0100

Dear all,

In the last interim, we agreed that the following text should be the starting point for text to describe the role of the RS[EA].  Could you please state concerns about this text as a starting point no later than 8 January 2020?  You can also find it in GH here <https://github.com/intarchboard/rfced-future/blob/master/Issue12-RSE-role.md>.   Feel free to create PRs, but please discuss them on list.

Eliot
Role of the RFC Series Editor

 <https://github.com/intarchboard/rfced-future/blob/master/Issue12-RSE-role.md#draft--please-submit-prs-but-discuss-on-list>
Draft! Please submit PRs, but discuss on list.

This person will be a senior professional with deep knowledge of technical publishing.

The RSE will operate by providing expert advice to the RSAWG, and if requested, to the RPC, on any relevant matters. The value this individual provides is an understanding of the process of technical publishing. They expected to learn how the process is applied in the RFC series. They will be asked to produce regular reviews of the process and identify problems and opportunities for improvement. There are also opportunities to spontaneously learn of these problems, likely the result of interactions with day-to-day operations. The person may be requested to draft documents

For example, the RSE might be consulted about proposed changes to the style guide, RFC formatting in general, web presence, copyright matters, or archiving policy, or might of their own initiative suggest such changes to the RSAWG.

The RSE is expected to attend all RSAWG meetings, and to have an ongoing working relationship with the RPC and tooling team.

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 20 Dec 2020 11:16:40 +1300

I'm happy with this text. If you want a temporary term for the role, consider "RFC Series Expert", which preserves the RSE acronym.

Regards
   Brian Carpenter

---

From: Mark Nottingham <[email-masked]>
Date: Tue, 22 Dec 2020 14:59:00 +1100

I like RFC Series Expert!  Comment below.

> On 18 Dec 2020, at 8:42 pm, Eliot Lear <lear=[email-masked]> wrote:
> 
> Dear all,
> 
> In the last interim, we agreed that the following text should be the starting point for text to describe the role of the RS[EA].  Could you please state concerns about this text as a starting point no later than 8 January 2020?  You can also find it in GH here.   Feel free to create PRs, but please discuss them on list.
> 
> Eliot

I'm not sure what 'senior' means in this context - in respect to whom are they 'senior'?

'experienced' might be more appropriate. 

> -- 
> Rfced-future mailing list
> [email-masked]
> https://www.iab.org/mailman/listinfo/rfced-future

--
Mark Nottingham   https://www.mnot.net/

---

From: Eric Rescorla <[email-masked]>
Date: Tue, 22 Dec 2020 15:14:18 -0800

On Mon, Dec 21, 2020 at 7:59 PM Mark Nottingham <[email-masked]> wrote:

> > In the last interim, we agreed that the following text should be the
> starting point for text to describe the role of the RS[EA].  Could you
> please state concerns about this text as a starting point no later than 8
> January 2020?  You can also find it in GH here.   Feel free to create PRs,
> but please discuss them on list.
> >
> > Eliot

Now that I've had a chance to review this text I find it rather less
illuminating than I had hoped.

"deep knowledge of technical publishing" is a pretty vague term. I'd need
to understand in rather more detail what knowledge people expect someone to
have here before I would be able to conclude that this was correct or
incorrect. Could someone who is in favor of this text perhaps provide some
clarity here?

-Ekr

>
> > The RSE will operate by providing expert advice to the RSAWG, and if
> requested, to the RPC, on any relevant matters. The value this individual
> provides is an understanding of the process of technical publishing. They
> expected to learn how the process is applied in the RFC series. They will
> be asked to produce regular reviews of the process and identify problems
> and opportunities for improvement. There are also opportunities to
> spontaneously learn of these problems, likely the result of interactions
> with day-to-day operations. The person may be requested to draft documents
> >
> > For example, the RSE might be consulted about proposed changes to the
> style guide, RFC formatting in general, web presence, copyright matters, or
> archiving policy, or might of their own initiative suggest such changes to
> the RSAWG.
> >
> > The RSE is expected to attend all RSAWG meetings, and to have an ongoing
> working relationship with the RPC and tooling team.
> >
> > --

---

From: Michael StJohns <[email-masked]>
Date: Tue, 22 Dec 2020 19:06:21 -0500

In line in reply to both Mark and Eric

On 12/22/2020 6:14 PM, Eric Rescorla wrote:
>
>
> On Mon, Dec 21, 2020 at 7:59 PM Mark Nottingham <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     > On 18 Dec 2020, at 8:42 pm, Eliot Lear
>     <lear=[email-masked]
>     <mailto:[email-masked]>> wrote:
>     >
>     > Dear all,
>     >
>     > In the last interim, we agreed that the following text should be
>     the starting point for text to describe the role of the RS[EA]. 
>     Could you please state concerns about this text as a starting
>     point no later than 8 January 2020?  You can also find it in GH
>     here.   Feel free to create PRs, but please discuss them on list.
>     >
>     > Eliot
Completely different axes.      I can have a very experienced junior IT 
guy whose remit (job, domain, field of responsibility) is very narrow, 
while I can have an newly promoted senior VP who has been moved from 
managing manufacturing for a product line to managing logistics for the 
entire company - e.g. very broad remit, but lacking domain specific 
experience.

In English, senior can mean both "superior to someone junior" and "well 
established in the profession".

Senior in this case is "well established in the profession (and other 
publication experts would say that of them), with broad experience and 
an ability to adapt to our specific domain quickly"

> "deep knowledge of technical publishing" is a pretty vague term. I'd 
> need to understand in rather more detail what knowledge people expect 
> someone to have here before I would be able to conclude that this was 
> correct or incorrect. Could someone who is in favor of this text 
> perhaps provide some clarity here?

This is just getting in to bikeshedding I think?   For reference 
purposes let's just say that RFC8729 section 3.1 is the text I would cut 
and paste here - perhaps with some slight tweeks.

> /The RFC Editor is an expert technical editor and series editor, 
> acting to support the mission of the//RFC Series. As such, the RFC 
> Editor is the implementer handling the editorial management of the 
> //RFC Series, in accordance with the de//fi//ned processes. In 
> addition, the RFC Editor is expected to//be the expert and prime mover 
> in discussions about policies for editing, publishing, and //archiving 
> RFCs./

E.g. "Expert technical editor and series editor skills" in publication 
with broad and deep knowledge related to production, "editing, 
publishing and archival" of a technical document series or related 
publication streams.

Or more concisely:  "Deep knowledge of technical publishing".

Alternately, and much more detailed and more appropriate to an SOW- 
RFC8728 section 2.1.6 (condensed):

 1. Strategic leadership and management experience fulfilling the
    requirements outlined in thisdocument, the many aspects of this
    role, and the coordination of the overall RFC Editorprocess.
 2. Good understanding of the English language and technical terminology
    related to the Internet.
 3. Good communication skills.
 4. Experience with editorial processes.
 5. Ability to develop strong understanding of the IETF and RFC process.
 6. The ability to work effectively in a multi-actor environment
 7. Demonstrated experience in strategic planning and the management of
    entire operations.

Later, Mike

>
> -Ekr
>
>
>     > The RSE will operate by providing expert advice to the RSAWG,
>     and if requested, to the RPC, on any relevant matters. The value
>     this individual provides is an understanding of the process of
>     technical publishing. They expected to learn how the process is
>     applied in the RFC series. They will be asked to produce regular
>     reviews of the process and identify problems and opportunities for
>     improvement. There are also opportunities to spontaneously learn
>     of these problems, likely the result of interactions with
>     day-to-day operations. The person may be requested to draft documents
>     >
>     > For example, the RSE might be consulted about proposed changes
>     to the style guide, RFC formatting in general, web presence,
>     copyright matters, or archiving policy, or might of their own
>     initiative suggest such changes to the RSAWG.
>     >
>     > The RSE is expected to attend all RSAWG meetings, and to have an
>     ongoing working relationship with the RPC and tooling team.
>     >
>     > --
>     > [email-masked] <mailto:[email-masked]>
>     <https://www.iab.org/mailman/listinfo/rfced-future>
>
>     --
>     Mark Nottingham https://www.mnot.net/ <https://www.mnot.net/>
>
>     -- 
>     [email-masked] <mailto:[email-masked]>
>     <https://www.iab.org/mailman/listinfo/rfced-future>
>
>

---

From: "Martin Thomson" <[email-masked]>
Date: Wed, 23 Dec 2020 11:33:12 +1100

> an ability to adapt to our specific domain quickly"

Maybe we should instead say "(broad) experience with and (extensive) expertise in" then.  Though I would avoid including qualifiers here, particularly subjective ones.

Aside: If this were a job description, those qualifiers might drive away certain perfectly qualified candidates.  This is based on the inverse of the Dunning-Kruger effect, which I'm told by our recruiters has a disproportionate affect in discouraging applications from certain groups with minority representation in our industry.

> requirements outlined in this document, the many aspects of this role, 
> and the coordination of the overall RFC Editor process. 
>  2. Good understanding of the English language and technical 
> terminology related to the Internet. 

Leaving aside the first, which is either self-referential or refers to other points made in that document, I am pretty confident that most of the people participating on this list would meet these criteria.  As would a fairly large slice of the IETF community.

Besides, I think that we've tried to shave the scope of the role a little, so I would specifically exclude 1 and 7.  Aside from the general "works well with others" criteria (2, 3, 5, 6), what we are looking for is just one thing that is truly unique: "experience and expertise in the field of technical publishing".

Maybe that's just a rephrasing of wording Eliot proposed, but if we're debating that handful of words at length, this is my contribution :)

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 23 Dec 2020 15:30:13 +1300

> Maybe we should instead say "(broad) experience with and (extensive) expertise in" then.  Though I would avoid including qualifiers here, particularly subjective ones.

We can take those qualifiers out of a formal job description, but that's not what we're writing right now. But I must confess that I was surprised by ekr's question. What we learned from hiring a person with deep knowledge of technical editing was that she knew a lot of stuff that we didn't know, and that she could see with more clarity than we did what we were doing that needed to change. A person with less knowledge of technical publishing couldn't do that.

I don't know how to say that in more precise terms than "deep knowledge".

   Brian